> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer credit balance

> Returns the credit balance for a customer identified by reference.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sdk/customers/{reference}/balance
openapi: 3.0.0
info:
  contact: {}
  description: The SolvaPay REST API specification
  title: SolvaPay REST API
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /v1/sdk/customers/{reference}/balance:
    get:
      tags:
        - Customers
      summary: Get customer credit balance
      description: Returns the credit balance for a customer identified by reference.
      operationId: CustomerSdkController_getCustomerBalance
      parameters:
        - description: Customer reference identifier
          in: path
          name: reference
          required: true
          schema:
            example: cus_3c4d5e6f7g8h
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  credits: 4200
                  creditsPerMinorUnit: 100
                  customerRef: cus_3c4d5e6f7g8h
                  displayCurrency: USD
          description: Customer balance retrieved successfully
        '404':
          content:
            application/json:
              schema:
                example:
                  error: Not Found
                  message: Customer with reference cus_3c4d5e6f7g8h not found
                  statusCode: 404
          description: Customer not found
      security:
        - SecretKey: []
components: {}

````